/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+,78K0S/KU1+ 8-Bit Single-Chip Microcontrollers.
**
**  Copyright(C) NEC Electronics Corporation 2002-2006
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	main.c
**  Abstract :	This file implements main function.
**  APIlib :	NEC78K0SKX1+.lib V1.70 [7 Dec. 2006]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "system.h"
#include "ad.h"
#include "int.h"
#include "port.h"
#include "timer.h"
#include "watchdogtimer.h"
#include "lvi.h"
/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/
/*
**---------------------------------------------------------------------------
**
**  Abstract:
**	This function implements main function.
**
**  Parameters:
**	None
**
**  Returns:
**	None
**
**---------------------------------------------------------------------------
*/
char 	moji_data[18];

int		moji_p;
int		moji_set;
int		move_flg;
int		move_cnt;

void	data_set(int set)
{
	switch(set){
		case 0:
			moji_data[0]=0x7f;moji_data[1]=0x04;moji_data[2]=0x08;moji_data[3]=0x10;moji_data[4]=0x7f;
			moji_data[5]=0x00;
			moji_data[6]=0x3e;moji_data[7]=0x41;moji_data[8]=0x41;moji_data[9]=0x41;moji_data[10]=0x3e;
			moji_data[11]=0x00;
			moji_data[12]=0x7f;moji_data[13]=0x04;moji_data[14]=0x08;moji_data[15]=0x10;moji_data[16]=0x7f;
			moji_data[17]=0x00;
			break;
		case 1:
			moji_data[0]=0x1e;moji_data[1]=0x3f;moji_data[2]=0x7e;moji_data[3]=0x3f;moji_data[4]=0x1e;
			moji_data[5]=0x00;
			moji_data[6]=0x3e;moji_data[7]=0x3f;moji_data[8]=0x7e;moji_data[9]=0x3f;moji_data[10]=0x1e;
			moji_data[11]=0x00;
			moji_data[12]=0x1e;moji_data[13]=0x3f;moji_data[14]=0x7e;moji_data[15]=0x3f;moji_data[16]=0x1e;
			moji_data[17]=0x00;
			break;
		case 2:
			moji_data[0]=0x3e;moji_data[1]=0x41;moji_data[2]=0x41;moji_data[3]=0x41;moji_data[4]=0x3e;
			moji_data[5]=0x00;
			moji_data[6]=0x7f;moji_data[7]=0x08;moji_data[8]=0x14;moji_data[9]=0x22;moji_data[10]=0x41;
			moji_data[11]=0x00;
			moji_data[12]=0x00;moji_data[13]=0x00;moji_data[14]=0x5f;moji_data[15]=0x00;moji_data[16]=0x00;
			moji_data[17]=0x00;
			break;
		case 3:
			moji_data[0]=0x3e;moji_data[1]=0x41;moji_data[2]=0x49;moji_data[3]=0x49;moji_data[4]=0x3a;
			moji_data[5]=0x00;
			moji_data[6]=0x38;moji_data[7]=0x44;moji_data[8]=0x44;moji_data[9]=0x44;moji_data[10]=0x38;
			moji_data[11]=0x00;
			moji_data[12]=0x38;moji_data[13]=0x44;moji_data[14]=0x44;moji_data[15]=0x44;moji_data[16]=0x38;
			moji_data[17]=0x00;
			break;
		case 4:
			moji_data[0]=0x26;moji_data[1]=0x49;moji_data[2]=0x49;moji_data[3]=0x49;moji_data[4]=0x32;
			moji_data[5]=0x00;
			moji_data[6]=0x3e;moji_data[7]=0x41;moji_data[8]=0x41;moji_data[9]=0x41;moji_data[10]=0x3e;
			moji_data[11]=0x00;
			moji_data[12]=0x26;moji_data[13]=0x49;moji_data[14]=0x49;moji_data[15]=0x49;moji_data[16]=0x32;
			moji_data[17]=0x00;
			break;
		case 5:
			moji_data[0]=0x7f;moji_data[1]=0x04;moji_data[2]=0x08;moji_data[3]=0x10;moji_data[4]=0x7f;
			moji_data[5]=0x00;
			moji_data[6]=0x3e;moji_data[7]=0x41;moji_data[8]=0x49;moji_data[9]=0x49;moji_data[10]=0x3a;
			moji_data[11]=0x00;
			moji_data[12]=0x00;moji_data[13]=0x00;moji_data[14]=0x5f;moji_data[15]=0x00;moji_data[16]=0x00;
			moji_data[17]=0x00;
			break;
	}

}


void	time_wait(long time)
{
	while(time!=0){
	time--;
	}
}

void	led_seg_out(char data)
{
	P2=~((P2|0x0f)&(data&0x0f));
	P12=~((P12|0x0e)&((data&0x70)>>3));
}

void	led_port_clear(void)
{
		P2.0=1;
		P2.1=1;
		P2.2=1;
		P2.3=1;
		P12.1=1;
		P12.2=1;
		P12.3=1;
}

void	led_disp(void)
{
	int		i;
	int		pp;

	if(moji_p<18){
		led_seg_out(moji_data[moji_p]);
	}
	else{
		led_seg_out(0x00);
	}
}

void	main( void )
{
int		start_key;
int		start_rep;

	moji_p=0;
	moji_set=0;
	move_flg=1;
	move_cnt=20000;

	start_key=1;
	start_rep=0;

	data_set(moji_set);

	led_port_clear();
	
	/* TODO. add user code */
	TM00_Start();
	while(1){

		if (P4.1==0){
				start_key=0;
		}
		else{
			start_key=1;
			start_rep=0;
		}


		led_disp();
	
		if ((P4.1==0)&(start_key==0)){
			start_key=0;
		}
		else{
			start_key=1;
			start_rep=0;
		}
	
		if((start_key==0)&(start_rep==0)){
			switch(moji_set){
				case 0:moji_set=1;break;
				case 1:moji_set=2;break;
				case 2:moji_set=3;break;
				case 3:moji_set=4;break;
				case 4:moji_set=5;break;
				case 5:moji_set=0;break;
			}
			data_set(moji_set);
			moji_p=0;
			start_rep=1;
			move_cnt=20000;
			move_flg=1;
		}
		if((move_flg==0)&&(P4.1==1)){
			STOP();
		}
	
	}
}

